function T = static_g1_tt(T, y, x, params)
% function T = static_g1_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 30);

T = Loop_dynare.static_resid_tt(T, y, x, params);

T(28) = getPowerDeriv(T(18),1-params(10),1);
T(29) = (-(exp(y(31))/((1-exp(y(31)))*(1-exp(y(31))))));
T(30) = (exp(y(35))*exp(y(35))-exp(y(35))*(1+exp(y(35))))/(exp(y(35))*exp(y(35)));

end
