function T = static_resid_tt(T, y, x, params)
% function T = static_resid_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 27);

T(1) = exp(y(34))*(((y(17)*(1-params(1)))^(1-params(3))-1)/(1-params(3))-exp(y(24)));
T(2) = exp(y(34))*((y(4)^(1-params(3))-1)/(1-params(3))-exp(y(11)));
T(3) = exp(y(34))*((exp(y(5))^(1-params(3))-1)/(1-params(3))-exp(y(11)));
T(4) = exp(y(5))^params(3);
T(5) = params(2)*exp(y(6))/y(28)*exp(y(7))/exp(y(8));
T(6) = exp(y(6))-T(5);
T(7) = params(24)^params(16);
T(8) = exp(y(8))-T(7);
T(9) = exp(y(12))*exp(y(10))*(1+exp(y(35)))/exp(y(35));
T(10) = exp(y(8))*params(15)*T(8)*exp(y(12))+exp(y(12))*1/exp(y(35))-T(9)-exp(y(12))*exp(y(8))*T(8)*params(2)*params(15);
T(11) = params(15)/2;
T(12) = exp(y(12))*T(11)*T(8)^2;
T(13) = (1/(1+exp(y(35))))^(1/params(3));
T(14) = exp(y(7))/params(26);
T(15) = T(14)^params(10);
T(16) = (exp(y(8))/params(24))^params(7);
T(17) = (exp(y(12))/params(23))^params(9);
T(18) = T(16)*T(17);
T(19) = T(18)^(1-params(10));
T(20) = exp(y(18))^params(3);
T(21) = params(2)*exp(y(19))/y(28)*exp(y(20))/exp(y(21));
T(22) = exp(y(19))-T(21);
T(23) = exp(y(25))*(1+exp(y(35)))/exp(y(35))*exp(y(23));
T(24) = exp(y(21))*params(15)*(exp(y(21))-T(7))*exp(y(25))+1/exp(y(35))*exp(y(25))-T(23)-exp(y(25))*exp(y(21))*params(2)*params(15)*(exp(y(21))-T(7));
T(25) = exp(y(25))*T(11)*(exp(y(21))-T(7))^2;
T(26) = (exp(y(21))/params(24))^params(7);
T(27) = (exp(y(25))/params(23))^params(9);

end
