function g1 = static_g1(T, y, x, params, T_flag)
% function g1 = static_g1(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = Loop_dynare.static_g1_tt(T, y, x, params);
end
g1 = zeros(36, 36);
g1(1,4)=1;
g1(1,5)=(-exp(y(5)));
g1(2,17)=1;
g1(2,18)=(-exp(y(18)));
g1(3,1)=1-params(2);
g1(3,17)=(-(exp(y(34))*(1-params(1))*getPowerDeriv(y(17)*(1-params(1)),1-params(3),1)/(1-params(3))));
g1(3,24)=(-(exp(y(34))*(-exp(y(24)))));
g1(3,34)=(-T(1));
g1(4,2)=1-params(2);
g1(4,4)=(-(exp(y(34))*getPowerDeriv(y(4),1-params(3),1)/(1-params(3))));
g1(4,11)=(-(exp(y(34))*(-exp(y(11)))));
g1(4,34)=(-T(2));
g1(5,1)=1;
g1(5,2)=(-1);
g1(5,3)=1;
g1(6,5)=(-(exp(y(34))*exp(y(5))*getPowerDeriv(exp(y(5)),1-params(3),1)/(1-params(3))));
g1(6,11)=(-(exp(y(34))*(-exp(y(11)))));
g1(6,13)=1;
g1(6,34)=(-T(3));
g1(7,13)=(-1);
g1(7,14)=1-params(2);
g1(8,5)=(-(exp(y(34))*exp(y(5))*getPowerDeriv(exp(y(5)),params(3),1)))/(T(4)*T(4));
g1(8,6)=(-exp(y(6)));
g1(8,34)=exp(y(34))/T(4);
g1(9,6)=T(6);
g1(9,7)=(-T(5));
g1(9,8)=(-(params(2)*exp(y(6))/y(28)*(-(exp(y(7))*exp(y(8))))/(exp(y(8))*exp(y(8)))));
g1(9,28)=(-(exp(y(7))/exp(y(8))*params(2)*(-exp(y(6)))/(y(28)*y(28))));
g1(10,6)=(-(exp(y(6))*exp(y(9))));
g1(10,9)=(-(exp(y(6))*exp(y(9))));
g1(10,34)=exp(y(34));
g1(11,9)=exp(y(9));
g1(11,10)=(-exp(y(10)));
g1(12,8)=exp(y(12))*(exp(y(8))*params(15)*T(8)+exp(y(8))*exp(y(8))*params(15))-exp(y(12))*(exp(y(8))*T(8)*params(2)*params(15)+exp(y(8))*exp(y(8))*params(2)*params(15));
g1(12,10)=(-T(9));
g1(12,12)=T(10);
g1(12,35)=exp(y(12))*(-exp(y(35)))/(exp(y(35))*exp(y(35)))-exp(y(12))*exp(y(10))*T(30);
g1(13,12)=(-(exp(y(12))*exp(y(31))));
g1(13,31)=(-(exp(y(12))*exp(y(31))));
g1(13,33)=exp(y(33));
g1(14,5)=(-exp(y(5)));
g1(14,8)=(-(exp(y(12))*T(11)*exp(y(8))*2*T(8)));
g1(14,12)=exp(y(12))-T(12);
g1(14,33)=(-exp(y(33)));
g1(15,11)=exp(y(11));
g1(15,12)=(-exp(y(12)));
g1(16,29)=exp(y(29));
g1(16,31)=(-((-(T(13)*(-exp(y(31)))))/((1-exp(y(31)))*(1-exp(y(31))))));
g1(16,35)=(-((-exp(y(35)))/((1+exp(y(35)))*(1+exp(y(35))))*getPowerDeriv(1/(1+exp(y(35))),1/params(3),1)/(1-exp(y(31)))));
g1(17,28)=1/y(28);
g1(17,30)=(-1);
g1(18,30)=1-params(11);
g1(19,31)=T(29);
g1(19,32)=exp(y(32));
g1(20,32)=1-params(12);
g1(21,34)=1-params(19);
g1(22,35)=1-params(20);
g1(23,12)=(-(exp(y(12))/exp(y(29))));
g1(23,15)=exp(y(15));
g1(23,29)=(-((-(exp(y(12))*exp(y(29))))/(exp(y(29))*exp(y(29)))));
g1(24,31)=T(29);
g1(24,36)=exp(y(36));
g1(25,12)=(-(exp(y(12))/exp(y(36))));
g1(25,16)=exp(y(16));
g1(25,36)=(-((-(exp(y(12))*exp(y(36))))/(exp(y(36))*exp(y(36)))));
g1(26,7)=T(19)*T(14)*getPowerDeriv(T(14),params(10),1)-T(14);
g1(26,8)=T(15)*T(17)*exp(y(8))/params(24)*getPowerDeriv(exp(y(8))/params(24),params(7),1)*T(28);
g1(26,12)=T(15)*T(28)*T(16)*exp(y(12))/params(23)*getPowerDeriv(exp(y(12))/params(23),params(9),1);
g1(27,18)=(-(exp(y(34))*exp(y(18))*getPowerDeriv(exp(y(18)),params(3),1)))/(T(20)*T(20));
g1(27,19)=(-exp(y(19)));
g1(27,34)=exp(y(34))/T(20);
g1(28,19)=T(22);
g1(28,20)=(-T(21));
g1(28,21)=(-(params(2)*exp(y(19))/y(28)*(-(exp(y(20))*exp(y(21))))/(exp(y(21))*exp(y(21)))));
g1(28,28)=(-(exp(y(20))/exp(y(21))*params(2)*(-exp(y(19)))/(y(28)*y(28))));
g1(29,19)=(-(exp(y(19))*exp(y(22))));
g1(29,22)=(-(exp(y(19))*exp(y(22))));
g1(29,34)=exp(y(34));
g1(30,22)=exp(y(22));
g1(30,23)=(-exp(y(23)));
g1(31,21)=exp(y(25))*(exp(y(21))*params(15)*(exp(y(21))-T(7))+exp(y(21))*params(15)*exp(y(21)))-exp(y(25))*(exp(y(21))*params(2)*params(15)*(exp(y(21))-T(7))+exp(y(21))*params(2)*params(15)*exp(y(21)));
g1(31,23)=(-T(23));
g1(31,25)=T(24);
g1(31,35)=exp(y(25))*(-exp(y(35)))/(exp(y(35))*exp(y(35)))-exp(y(25))*exp(y(23))*T(30);
g1(32,18)=(-exp(y(18)));
g1(32,21)=(-(exp(y(25))*T(11)*exp(y(21))*2*(exp(y(21))-T(7))));
g1(32,25)=exp(y(25))-T(25);
g1(32,33)=(-exp(y(33)));
g1(33,24)=exp(y(24));
g1(33,25)=(-exp(y(25)));
g1(34,25)=(-(exp(y(25))/exp(y(29))));
g1(34,26)=exp(y(26));
g1(34,29)=(-((-(exp(y(29))*exp(y(25))))/(exp(y(29))*exp(y(29)))));
g1(35,25)=(-(exp(y(25))/exp(y(36))));
g1(35,27)=exp(y(27));
g1(35,36)=(-((-(exp(y(36))*exp(y(25))))/(exp(y(36))*exp(y(36)))));
g1(36,20)=(-(exp(y(20))/params(26)));
g1(36,21)=T(27)*exp(y(21))/params(24)*getPowerDeriv(exp(y(21))/params(24),params(7),1);
g1(36,25)=T(26)*exp(y(25))/params(23)*getPowerDeriv(exp(y(25))/params(23),params(9),1);
if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
end
end
